package list;
import java.util.*;

public class ListInterfaceExample {
    public static void main(String[] args) {
        // Using List to reference Vector
        List<String> vectorList = new Vector<>();
        vectorList.add("Apple");
        vectorList.add("Banana");
        vectorList.add("Cherry");
        System.out.println("Vector through List: " + vectorList);

        // Using List to reference ArrayList
        List<String> arrayList = new ArrayList<>();
        arrayList.add("Dog");
        arrayList.add("Elephant");
        arrayList.add("Frog");
        System.out.println("ArrayList through List: " + arrayList);

        // Using List to reference Stack
        List<String> stackList = new Stack<>();
        stackList.add("First");
        stackList.add("Second");
        stackList.add("Third");
        System.out.println("Stack through List: " + stackList);

        // Accessing elements from the List references
        System.out.println("Element at index 1 in Vector List: " + vectorList.get(1));
        System.out.println("Element at index 1 in ArrayList: " + arrayList.get(1));
        System.out.println("Element at index 1 in Stack List: " + stackList.get(1));  //not a good idea, why?
    }
}

